(* type.mli - Type definitions used by the Scanner/Parser *)

type taty_ret =  (*TaML type definitions*)
    RInt
  | RFloat
  | RChar
  | RString
  | RBoolean
   (*TaML exclusive*)
  | RTable
  | RLine
  | RCell
  | RVoid

type taty_var =  (*TaML type definitions*)
    Int
  | Float
  | Char
  | String
  | Boolean
   (*TaML exclusive*)
  | Table
  | Line
  | Cell

type literal =
    IntL of int
  | FloatL of float
  | CharL of char
  | BoolL of bool
  | StringL of string

type binop = 
	  Add 
	| Sub 
	| Mult 
	| Div 
	| Equal
	| Neq
	| Less_than
	| Leq 
	| Greater_than
	| Geq
	| Or
	| And 
	| Mod

type uniop =
	Not
